<?xml version="1.0" encoding="ascii"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
          "DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>screenlets.plugins.Flickr</title>
  <link rel="stylesheet" href="epydoc.css" type="text/css" />
  <script type="text/javascript" src="epydoc.js"></script>
</head>

<body bgcolor="white" text="black" link="blue" vlink="#204080"
      alink="#204080">
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table width="100%" cellpadding="0" cellspacing="0">
  <tr valign="top">
    <td width="100%">
      <span class="breadcrumbs">
        <a href="screenlets-module.html">Package&nbsp;screenlets</a> ::
        <a href="screenlets.plugins-module.html">Package&nbsp;plugins</a> ::
        Module&nbsp;Flickr
      </span>
    </td>
    <td>
      <table cellpadding="0" cellspacing="0">
        <!-- hide/show private -->
        <tr><td align="right"><span class="options">[<a href="javascript:void(0);" class="privatelink"
    onclick="toggle_private();">hide&nbsp;private</a>]</span></td></tr>
        <tr><td align="right"><span class="options"
            >[<a href="frames.html" target="_top">frames</a
            >]&nbsp;|&nbsp;<a href="screenlets.plugins.Flickr-pysrc.html"
            target="_top">no&nbsp;frames</a>]</span></td></tr>
      </table>
    </td>
  </tr>
</table>
<h1 class="epydoc">Source Code for <a href="screenlets.plugins.Flickr-module.html">Module screenlets.plugins.Flickr</a></h1>
<pre class="py-src">
<a name="L1"></a><tt class="py-lineno"> 1</tt>  <tt class="py-line"><tt class="py-comment"># This application is released under the GNU General Public License </tt> </tt>
<a name="L2"></a><tt class="py-lineno"> 2</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># v3 (or, at your option, any later version). You can find the full </tt> </tt>
<a name="L3"></a><tt class="py-lineno"> 3</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># text of the license under http://www.gnu.org/licenses/gpl.txt. </tt> </tt>
<a name="L4"></a><tt class="py-lineno"> 4</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># By using, editing and/or distributing this software you agree to </tt> </tt>
<a name="L5"></a><tt class="py-lineno"> 5</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># the terms and conditions of this license. </tt> </tt>
<a name="L6"></a><tt class="py-lineno"> 6</tt>  <tt class="py-line"><tt class="py-comment"></tt><tt class="py-comment"># Thank you for using free softwa</tt> </tt>
<a name="L7"></a><tt class="py-lineno"> 7</tt>  <tt class="py-line"><tt class="py-comment"></tt> </tt>
<a name="L8"></a><tt class="py-lineno"> 8</tt>  <tt class="py-line"><tt class="py-comment"># Flickr module by Helder Fraga aka whise &lt;helder.fraga@hotmail.com&gt;</tt> </tt>
<a name="L9"></a><tt class="py-lineno"> 9</tt>  <tt class="py-line"><tt class="py-comment"></tt> </tt>
<a name="L10"></a><tt class="py-lineno">10</tt>  <tt class="py-line"> </tt>
<a name="L11"></a><tt class="py-lineno">11</tt>  <tt class="py-line"><tt class="py-keyword">from</tt> <tt class="py-name">urllib</tt> <tt class="py-keyword">import</tt> <tt class="py-name">urlopen</tt> </tt>
<a name="L12"></a><tt class="py-lineno">12</tt>  <tt class="py-line"><tt class="py-keyword">import</tt> <tt id="link-0" class="py-name" targets="Module screenlets.plugins.Proxy=screenlets.plugins.Proxy-module.html,Class screenlets.plugins.Proxy.Proxy=screenlets.plugins.Proxy.Proxy-class.html"><a title="screenlets.plugins.Proxy
screenlets.plugins.Proxy.Proxy" class="py-name" href="#" onclick="return doclink('link-0', 'Proxy', 'link-0');">Proxy</a></tt> </tt>
<a name="L13"></a><tt class="py-lineno">13</tt>  <tt class="py-line"> </tt>
<a name="Flickr"></a><div id="Flickr-def"><a name="L14"></a><tt class="py-lineno">14</tt> <a class="py-toggle" href="#" id="Flickr-toggle" onclick="return toggle('Flickr');">-</a><tt class="py-line"><tt class="py-keyword">class</tt> <a class="py-def-name" href="screenlets.plugins.Flickr.Flickr-class.html">Flickr</a><tt class="py-op">:</tt> </tt>
</div><div id="Flickr-collapsed" style="display:none;" pad="++" indent="++++"></div><div id="Flickr-expanded"><a name="L15"></a><tt class="py-lineno">15</tt>  <tt class="py-line"> </tt>
<a name="L16"></a><tt class="py-lineno">16</tt>  <tt class="py-line">        <tt id="link-1" class="py-name" targets="Variable screenlets.plugins.Flickr.Flickr.url_list=screenlets.plugins.Flickr.Flickr-class.html#url_list"><a title="screenlets.plugins.Flickr.Flickr.url_list" class="py-name" href="#" onclick="return doclink('link-1', 'url_list', 'link-1');">url_list</a></tt> <tt class="py-op">=</tt> <tt class="py-op">{</tt><tt class="py-op">}</tt> </tt>
<a name="L17"></a><tt class="py-lineno">17</tt>  <tt class="py-line"> </tt>
<a name="L18"></a><tt class="py-lineno">18</tt>  <tt class="py-line"> </tt>
<a name="Flickr.__init__"></a><div id="Flickr.__init__-def"><a name="L19"></a><tt class="py-lineno">19</tt> <a class="py-toggle" href="#" id="Flickr.__init__-toggle" onclick="return toggle('Flickr.__init__');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Flickr.Flickr-class.html#__init__">__init__</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Flickr.__init__-collapsed" style="display:none;" pad="++" indent="++++++++++++"></div><div id="Flickr.__init__-expanded"><a name="L20"></a><tt class="py-lineno">20</tt>  <tt class="py-line">                <tt class="py-keyword">pass</tt> </tt>
</div><a name="L21"></a><tt class="py-lineno">21</tt>  <tt class="py-line"> </tt>
<a name="Flickr.get_image_list"></a><div id="Flickr.get_image_list-def"><a name="L22"></a><tt class="py-lineno">22</tt> <a class="py-toggle" href="#" id="Flickr.get_image_list-toggle" onclick="return toggle('Flickr.get_image_list');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Flickr.Flickr-class.html#get_image_list">get_image_list</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt><tt class="py-param">url</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Flickr.get_image_list-collapsed" style="display:none;" pad="++" indent="++++++++++++"></div><div id="Flickr.get_image_list-expanded"><a name="L23"></a><tt class="py-lineno">23</tt>  <tt class="py-line">                <tt class="py-docstring">"""Returns a Tuple containing images links and webpage links of a flickr url"""</tt> </tt>
<a name="L24"></a><tt class="py-lineno">24</tt>  <tt class="py-line">                <tt class="py-name">list_a</tt> <tt class="py-op">=</tt> <tt class="py-op">[</tt><tt class="py-op">]</tt> </tt>
<a name="L25"></a><tt class="py-lineno">25</tt>  <tt class="py-line">                <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-2" class="py-name"><a title="screenlets.plugins.Flickr.Flickr.url_list" class="py-name" href="#" onclick="return doclink('link-2', 'url_list', 'link-1');">url_list</a></tt> <tt class="py-op">=</tt> <tt class="py-op">{</tt><tt class="py-op">}</tt> </tt>
<a name="L26"></a><tt class="py-lineno">26</tt>  <tt class="py-line">                <tt class="py-name">proxies</tt> <tt class="py-op">=</tt> <tt id="link-3" class="py-name"><a title="screenlets.plugins.Proxy
screenlets.plugins.Proxy.Proxy" class="py-name" href="#" onclick="return doclink('link-3', 'Proxy', 'link-0');">Proxy</a></tt><tt class="py-op">.</tt><tt id="link-4" class="py-name"><a title="screenlets.plugins.Proxy
screenlets.plugins.Proxy.Proxy" class="py-name" href="#" onclick="return doclink('link-4', 'Proxy', 'link-0');">Proxy</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">.</tt><tt id="link-5" class="py-name" targets="Method screenlets.plugins.Proxy.Proxy.get_proxy()=screenlets.plugins.Proxy.Proxy-class.html#get_proxy"><a title="screenlets.plugins.Proxy.Proxy.get_proxy" class="py-name" href="#" onclick="return doclink('link-5', 'get_proxy', 'link-5');">get_proxy</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt>      </tt>
<a name="L27"></a><tt class="py-lineno">27</tt>  <tt class="py-line">                <tt class="py-name">sourcetxt</tt> <tt class="py-op">=</tt> <tt class="py-name">urlopen</tt><tt class="py-op">(</tt><tt class="py-name">url</tt><tt class="py-op">,</tt><tt class="py-name">proxies</tt><tt class="py-op">=</tt><tt class="py-name">proxies</tt><tt class="py-op">)</tt><tt class="py-op">.</tt><tt class="py-name">read</tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L28"></a><tt class="py-lineno">28</tt>  <tt class="py-line">                <tt class="py-keyword">while</tt> <tt class="py-name">sourcetxt</tt><tt class="py-op">.</tt><tt class="py-name">find</tt><tt class="py-op">(</tt><tt class="py-string">"Photo"</tt> <tt class="py-op">+</tt> <tt class="py-name">chr</tt><tt class="py-op">(</tt><tt class="py-number">34</tt><tt class="py-op">)</tt><tt class="py-op">)</tt> <tt class="py-op">!=</tt> <tt class="py-op">-</tt><tt class="py-number">1</tt><tt class="py-op">:</tt> </tt>
<a name="L29"></a><tt class="py-lineno">29</tt>  <tt class="py-line">                        <tt class="py-name">image</tt> <tt class="py-op">=</tt> <tt class="py-name">sourcetxt</tt><tt class="py-op">[</tt><tt class="py-name">sourcetxt</tt><tt class="py-op">.</tt><tt class="py-name">find</tt><tt class="py-op">(</tt><tt class="py-string">"Photo"</tt> <tt class="py-op">+</tt> <tt class="py-name">chr</tt><tt class="py-op">(</tt><tt class="py-number">34</tt><tt class="py-op">)</tt><tt class="py-op">)</tt><tt class="py-op">+</tt><tt class="py-number">7</tt><tt class="py-op">:</tt><tt class="py-op">]</tt> </tt>
<a name="L30"></a><tt class="py-lineno">30</tt>  <tt class="py-line">                        <tt class="py-name">sourcetxt</tt> <tt class="py-op">=</tt> <tt class="py-name">image</tt> </tt>
<a name="L31"></a><tt class="py-lineno">31</tt>  <tt class="py-line">                        <tt class="py-name">sourceimage</tt> <tt class="py-op">=</tt> <tt class="py-name">image</tt><tt class="py-op">[</tt><tt class="py-name">image</tt><tt class="py-op">.</tt><tt class="py-name">find</tt><tt class="py-op">(</tt><tt class="py-string">"a href="</tt> <tt class="py-op">+</tt> <tt class="py-name">chr</tt><tt class="py-op">(</tt><tt class="py-number">34</tt><tt class="py-op">)</tt><tt class="py-op">)</tt><tt class="py-op">+</tt><tt class="py-number">8</tt><tt class="py-op">:</tt><tt class="py-op">]</tt> </tt>
<a name="L32"></a><tt class="py-lineno">32</tt>  <tt class="py-line">                        <tt class="py-name">sourceimage</tt> <tt class="py-op">=</tt> <tt class="py-name">sourceimage</tt><tt class="py-op">[</tt><tt class="py-op">:</tt><tt class="py-name">sourceimage</tt><tt class="py-op">.</tt><tt class="py-name">find</tt><tt class="py-op">(</tt><tt class="py-name">chr</tt><tt class="py-op">(</tt><tt class="py-number">34</tt><tt class="py-op">)</tt><tt class="py-op">)</tt> <tt class="py-op">]</tt><tt class="py-op">.</tt><tt class="py-name">strip</tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L33"></a><tt class="py-lineno">33</tt>  <tt class="py-line">                        <tt class="py-name">realimage</tt> <tt class="py-op">=</tt> <tt class="py-name">image</tt><tt class="py-op">[</tt><tt class="py-name">image</tt><tt class="py-op">.</tt><tt class="py-name">find</tt><tt class="py-op">(</tt><tt class="py-string">"mg src="</tt> <tt class="py-op">+</tt> <tt class="py-name">chr</tt><tt class="py-op">(</tt><tt class="py-number">34</tt><tt class="py-op">)</tt><tt class="py-op">)</tt><tt class="py-op">+</tt><tt class="py-number">8</tt><tt class="py-op">:</tt><tt class="py-op">]</tt> </tt>
<a name="L34"></a><tt class="py-lineno">34</tt>  <tt class="py-line">                        <tt class="py-name">realimage</tt> <tt class="py-op">=</tt> <tt class="py-name">realimage</tt><tt class="py-op">[</tt><tt class="py-op">:</tt><tt class="py-name">realimage</tt><tt class="py-op">.</tt><tt class="py-name">find</tt><tt class="py-op">(</tt><tt class="py-name">chr</tt><tt class="py-op">(</tt><tt class="py-number">34</tt><tt class="py-op">)</tt><tt class="py-op">)</tt> <tt class="py-op">]</tt><tt class="py-op">.</tt><tt class="py-name">strip</tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L35"></a><tt class="py-lineno">35</tt>  <tt class="py-line">                        <tt class="py-name">imageurl</tt> <tt class="py-op">=</tt> <tt class="py-string">'http://www.flickr.com'</tt> <tt class="py-op">+</tt> <tt class="py-name">sourceimage</tt> </tt>
<a name="L36"></a><tt class="py-lineno">36</tt>  <tt class="py-line">                        <tt class="py-name">list_a</tt><tt class="py-op">.</tt><tt class="py-name">append</tt><tt class="py-op">(</tt><tt class="py-name">realimage</tt><tt class="py-op">)</tt> </tt>
<a name="L37"></a><tt class="py-lineno">37</tt>  <tt class="py-line">                        <tt class="py-name">self</tt><tt class="py-op">.</tt><tt id="link-6" class="py-name"><a title="screenlets.plugins.Flickr.Flickr.url_list" class="py-name" href="#" onclick="return doclink('link-6', 'url_list', 'link-1');">url_list</a></tt><tt class="py-op">[</tt><tt class="py-name">realimage</tt><tt class="py-op">]</tt> <tt class="py-op">=</tt> <tt class="py-name">imageurl</tt> </tt>
<a name="L38"></a><tt class="py-lineno">38</tt>  <tt class="py-line">                <tt class="py-keyword">return</tt> <tt class="py-name">list_a</tt> </tt>
</div><a name="L39"></a><tt class="py-lineno">39</tt>  <tt class="py-line"> </tt>
<a name="L40"></a><tt class="py-lineno">40</tt>  <tt class="py-line"> </tt>
<a name="Flickr.save_image"></a><div id="Flickr.save_image-def"><a name="L41"></a><tt class="py-lineno">41</tt> <a class="py-toggle" href="#" id="Flickr.save_image-toggle" onclick="return toggle('Flickr.save_image');">-</a><tt class="py-line">        <tt class="py-keyword">def</tt> <a class="py-def-name" href="screenlets.plugins.Flickr.Flickr-class.html#save_image">save_image</a><tt class="py-op">(</tt><tt class="py-param">self</tt><tt class="py-op">,</tt><tt class="py-param">url</tt><tt class="py-op">,</tt><tt class="py-param">path</tt><tt class="py-op">)</tt><tt class="py-op">:</tt> </tt>
</div><div id="Flickr.save_image-collapsed" style="display:none;" pad="++" indent="++++++++++++"></div><div id="Flickr.save_image-expanded"><a name="L42"></a><tt class="py-lineno">42</tt>  <tt class="py-line">                <tt class="py-docstring">"""Saves the image from url in path"""</tt> </tt>
<a name="L43"></a><tt class="py-lineno">43</tt>  <tt class="py-line">                <tt class="py-name">proxies</tt> <tt class="py-op">=</tt> <tt id="link-7" class="py-name"><a title="screenlets.plugins.Proxy
screenlets.plugins.Proxy.Proxy" class="py-name" href="#" onclick="return doclink('link-7', 'Proxy', 'link-0');">Proxy</a></tt><tt class="py-op">.</tt><tt id="link-8" class="py-name"><a title="screenlets.plugins.Proxy
screenlets.plugins.Proxy.Proxy" class="py-name" href="#" onclick="return doclink('link-8', 'Proxy', 'link-0');">Proxy</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt><tt class="py-op">.</tt><tt id="link-9" class="py-name"><a title="screenlets.plugins.Proxy.Proxy.get_proxy" class="py-name" href="#" onclick="return doclink('link-9', 'get_proxy', 'link-5');">get_proxy</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L44"></a><tt class="py-lineno">44</tt>  <tt class="py-line">                <tt class="py-name">sourcetxt</tt> <tt class="py-op">=</tt> <tt class="py-name">urlopen</tt><tt class="py-op">(</tt><tt class="py-name">url</tt><tt class="py-op">,</tt><tt class="py-name">proxies</tt><tt class="py-op">=</tt><tt class="py-name">proxies</tt><tt class="py-op">)</tt><tt class="py-op">.</tt><tt class="py-name">read</tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
<a name="L45"></a><tt class="py-lineno">45</tt>  <tt class="py-line">                <tt class="py-name">fileObj</tt> <tt class="py-op">=</tt> <tt id="link-10" class="py-name" targets="Method screenlets.utils.FileMonitor.open()=screenlets.utils.FileMonitor-class.html#open"><a title="screenlets.utils.FileMonitor.open" class="py-name" href="#" onclick="return doclink('link-10', 'open', 'link-10');">open</a></tt><tt class="py-op">(</tt> <tt id="link-11" class="py-name" targets="Variable screenlets.ScreenletTheme.path=screenlets.ScreenletTheme-class.html#path,Variable screenlets.backend.CachingBackend.path=screenlets.backend.CachingBackend-class.html#path"><a title="screenlets.ScreenletTheme.path
screenlets.backend.CachingBackend.path" class="py-name" href="#" onclick="return doclink('link-11', 'path', 'link-11');">path</a></tt><tt class="py-op">,</tt><tt class="py-string">"w"</tt><tt class="py-op">)</tt> <tt class="py-comment">#// open for for write</tt> </tt>
<a name="L46"></a><tt class="py-lineno">46</tt>  <tt class="py-line">                <tt class="py-name">fileObj</tt><tt class="py-op">.</tt><tt class="py-name">write</tt><tt class="py-op">(</tt><tt class="py-name">sourcetxt</tt><tt class="py-op">)</tt> </tt>
<a name="L47"></a><tt class="py-lineno">47</tt>  <tt class="py-line">                <tt class="py-name">fileObj</tt><tt class="py-op">.</tt><tt id="link-12" class="py-name" targets="Method screenlets.Screenlet.close()=screenlets.Screenlet-class.html#close,Method screenlets.plugins.Mplayer.Mplayer.close()=screenlets.plugins.Mplayer.Mplayer-class.html#close,Method screenlets.utils.FileMonitor.close()=screenlets.utils.FileMonitor-class.html#close"><a title="screenlets.Screenlet.close
screenlets.plugins.Mplayer.Mplayer.close
screenlets.utils.FileMonitor.close" class="py-name" href="#" onclick="return doclink('link-12', 'close', 'link-12');">close</a></tt><tt class="py-op">(</tt><tt class="py-op">)</tt> </tt>
</div></div><a name="L48"></a><tt class="py-lineno">48</tt>  <tt class="py-line"> </tt><script type="text/javascript">
<!--
expandto(location.href);
// -->
</script>
</pre>
<br />
<!-- ==================== NAVIGATION BAR ==================== -->
<table class="navbar" border="0" width="100%" cellpadding="0"
       bgcolor="#a0c0ff" cellspacing="0">
  <tr valign="middle">
  <!-- Home link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="screenlets-module.html">Home</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Tree link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="module-tree.html">Trees</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Index link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="identifier-index.html">Indices</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Help link -->
      <th>&nbsp;&nbsp;&nbsp;<a
        href="help.html">Help</a>&nbsp;&nbsp;&nbsp;</th>

  <!-- Project homepage -->
      <th class="navbar" align="right" width="100%">
        <table border="0" cellpadding="0" cellspacing="0">
          <tr><th class="navbar" align="center"
            >Screenlets 0.1.2</th>
          </tr></table></th>
  </tr>
</table>
<table border="0" cellpadding="0" cellspacing="0" width="100%%">
  <tr>
    <td align="left" class="footer">
    Generated by Epydoc 3.0beta1 on Wed Jun  4 18:53:03 2008
    </td>
    <td align="right" class="footer">
      <a href="http://epydoc.sourceforge.net">http://epydoc.sourceforge.net</a>
    </td>
  </tr>
</table>

<script type="text/javascript">
  <!--
  // Private objects are initially displayed (because if
  // javascript is turned off then we want them to be
  // visible); but by default, we want to hide them.  So hide
  // them unless we have a cookie that says to show them.
  checkCookie()
  // -->
</script>
  
</body>
</html>
